import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import React, { ReactNode, RefAttributes } from 'react';
export type CardProperties = ContainerProperties;
export declare const Card: (props: CardProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type CardHeaderProperties = ContainerProperties;
export declare const CardHeader: (props: CardHeaderProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type CardTitleProperties = {
    children?: ReactNode;
};
export declare function CardTitle(props: CardTitleProperties): React.JSX.Element;
export type CardDescriptionProperties = {
    children?: ReactNode;
};
export declare function CardDescription(props: CardDescriptionProperties): React.JSX.Element;
export type CardContentProperties = ContainerProperties;
export declare const CardContent: (props: CardContentProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type CardFooterProperties = ContainerProperties;
export declare const CardFooter: (props: CardFooterProperties & RefAttributes<ComponentInternals>) => ReactNode;
