import { DefaultProperties } from '@react-three/uikit';
import React, { forwardRef } from 'react';
export const Label = forwardRef(({ disabled, ...props }, ref) => {
    return (React.createElement(DefaultProperties, { fontWeight: "medium", fontSize: 14, lineHeight: "100%", opacity: disabled ? 0.7 : undefined, ref: ref, ...props }));
});
