import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import React, { ReactNode, RefAttributes } from 'react';
export type MenubarMenuProperties = {
    children?: ReactNode;
};
export declare function MenubarMenu({ children }: MenubarMenuProperties): React.JSX.Element;
export type MenubarProperties = ContainerProperties;
export declare const Menubar: (props: MenubarProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type MenubarTriggerProperties = ContainerProperties;
export declare const MenubarTrigger: (props: MenubarTriggerProperties & RefAttributes<ComponentInternals>) => ReactNode;
