import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
import { Signal } from '@preact/signals-core';
export type ProgressProperties = {
    value?: Signal<number> | number;
} & Omit<ContainerProperties, 'children'>;
export declare const Progress: (props: ProgressProperties & RefAttributes<ComponentInternals>) => ReactNode;
