import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
export type RadioGroupProperties = {
    value?: string;
    onValueChange?(value: string): void;
    defaultValue?: string;
} & ContainerProperties;
export declare const RadioGroup: (props: RadioGroupProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type RadioGroupItemProperties = ContainerProperties & {
    disabled?: boolean;
    value: string;
};
export declare const RadioGroupItem: (props: RadioGroupItemProperties & RefAttributes<ComponentInternals>) => ReactNode;
