import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
export type SliderProperties = {
    disabled?: boolean;
    value?: number;
    defaultValue?: number;
    onValueChange?(value: number): void;
    min?: number;
    max?: number;
    step?: number;
} & Omit<ContainerProperties, 'children'>;
export declare const Slider: (props: SliderProperties & RefAttributes<ComponentInternals>) => ReactNode;
