import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
export type SwitchProperties = Omit<ContainerProperties, 'children'> & {
    defaultChecked?: boolean;
    checked?: boolean;
    disabled?: boolean;
    onCheckedChange?(checked: boolean): void;
};
export declare const Switch: (props: SwitchProperties & RefAttributes<ComponentInternals>) => ReactNode;
