import { Color } from 'three';
export declare const themes: {
    readonly zinc: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly slate: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly stone: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly gray: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly neutral: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly red: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly rose: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly orange: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly green: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly blue: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly yellow: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
    readonly violet: {
        readonly light: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
        readonly dark: {
            readonly background: Color;
            readonly foreground: Color;
            readonly card: Color;
            readonly cardForeground: Color;
            readonly popover: Color;
            readonly popoverForeground: Color;
            readonly primary: Color;
            readonly primaryForeground: Color;
            readonly secondary: Color;
            readonly secondaryForeground: Color;
            readonly muted: Color;
            readonly mutedForeground: Color;
            readonly accent: Color;
            readonly accentForeground: Color;
            readonly destructive: Color;
            readonly destructiveForeground: Color;
            readonly border: Color;
            readonly input: Color;
            readonly ring: Color;
        };
    };
};
export type Theme = keyof typeof themes;
