import { Image } from '@react-three/uikit';
import React, { forwardRef } from 'react';
export const Avatar = forwardRef((props, ref) => {
    return (React.createElement(Image, { width: 40, height: 40, flexShrink: 0, aspectRatio: 1, objectFit: "cover", borderRadius: 20, ref: ref, ...props }));
});
