import { ReadonlySignal } from '@preact/signals-core';
import { DefaultPropertiesProperties } from '@react-three/uikit';
import { Color } from 'three';
import React from 'react';
export declare const baseBorderRadius: import("@preact/signals-core").Signal<number>;
export declare const borderRadius: {
    lg: import("@preact/signals-core").Signal<number>;
    md: ReadonlySignal<number>;
    sm: ReadonlySignal<number>;
};
export declare const themeName: import("@preact/signals-core").Signal<"zinc" | "slate" | "stone" | "gray" | "neutral" | "red" | "rose" | "orange" | "green" | "blue" | "yellow" | "violet">;
export declare const colors: {
    background: ReadonlySignal<Color>;
    foreground: ReadonlySignal<Color>;
    card: ReadonlySignal<Color>;
    cardForeground: ReadonlySignal<Color>;
    popover: ReadonlySignal<Color>;
    popoverForeground: ReadonlySignal<Color>;
    primary: ReadonlySignal<Color>;
    primaryForeground: ReadonlySignal<Color>;
    secondary: ReadonlySignal<Color>;
    secondaryForeground: ReadonlySignal<Color>;
    muted: ReadonlySignal<Color>;
    mutedForeground: ReadonlySignal<Color>;
    accent: ReadonlySignal<Color>;
    accentForeground: ReadonlySignal<Color>;
    destructive: ReadonlySignal<Color>;
    destructiveForeground: ReadonlySignal<Color>;
    border: ReadonlySignal<Color>;
    input: ReadonlySignal<Color>;
    ring: ReadonlySignal<Color>;
};
export declare function Defaults(props: DefaultPropertiesProperties): React.JSX.Element;
