import { ComponentInternals, ContainerProperties } from '@react-three/uikit';
import { ReactNode, RefAttributes } from 'react';
export type TooltipProperties = ContainerProperties;
export declare const Tooltip: (props: TooltipProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type TooltipTriggerProperties = ContainerProperties;
export declare const TooltipTrigger: (props: TooltipTriggerProperties & RefAttributes<ComponentInternals>) => ReactNode;
export type TooltipContentProperties = ContainerProperties & {
    sideOffset?: number;
};
export declare const TooltipContent: (props: TooltipContentProperties & RefAttributes<ComponentInternals>) => ReactNode;
